backend default {
  .host = "127.0.0.1";
  .port = "80";
}
sub vcl_recv {
  set req.http.Surrogate-Capability = "abc=ESI/1.0";
  return (lookup);
}

sub vcl_fetch {
  if (beresp.http.Surrogate-Control ~ "ESI/1.0") {
    unset beresp.http.Surrogate-Control;
    set beresp.do_esi = true;
  }

  return (deliver);
}
