require_once __DIR__.'/../app/AppCache.php';

$kernel = new AppKernel('prod', false);
$kernel->loadClassCache();

// （1）プロキシオブジェクトでカーネルをラップ
$kernel = new AppCache($kernel);

$request = Request::createFromGlobals();

// （2）プロキシ経由でリクエストを処理
$response = $kernel->handle($request);

// （3）戻り値のレスポンスもプロキシからの出力
$response->send();
$kernel->terminate($request, $response);
